<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.SysOperLogMapper">

    <select id="selectLog" resultType="SysOperLog">
        SELECT
        title,
        business_type,
        oper_name,
        dept_name,
        status,
        oper_time
        FROM sys_oper_log
        <where>
            <if test="title != null and title != ''">
                AND title = '订单表'
            </if>
            <if test="operatorType != null">
                AND operator_type = 1
            </if>
        </where>
        ORDER BY oper_time DESC
    </select>
</mapper>
